Bug 690398 - Preupgrade installs unbootable upgrade system
Preupgrade installs unbootable upgrade system
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: preupgrade (Show other bugs)
14
Unspecified Linux
unspecified Severity high
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-03-24 04:28 EDT by Matthias Runge
Modified: 2012-05-11 05:51 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-11 05:51:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthias Runge 2011-03-24 04:28:21 EDT
Description of problem:

after executing preupgrade (on f14)

Version-Release number of selected component (if applicable):
I'm not sure, if this is really preupgrade related
preupgrade-1.1.8-1.fc14.noarch

How reproducible:
every time, different systems

Steps to Reproduce:
1. preupgrade to f15 
2. reboot to install system
3.
  
Actual results:
install system shows black screen, blinking cursor. 


Expected results:
boot into anaconda to install/upgrade system


Additional info:
tried this in virtual box and on real (not ancient, about 3 years old) hardware.
/boot/upgrade/vmlinuz and /boot/upgrade/initrd get installed, grub entry is written, it looks ok.
Comment 1 Robin Green 2011-04-22 04:15:54 EDT
I discovered that on my machine, although it looks to be doing nothing, it does actually work after a while.
Comment 2 Matthias Runge 2011-05-20 07:05:09 EDT
Latest version of preupgrade (1.1.9) fixes this.

Note You need to log in before you can comment on or make changes to this bug.